Bug 244715 - Admin Server: support --with-fhs-opt
Summary: Admin Server: support --with-fhs-opt
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Admin (Show other bugs)
(Show other bugs)
Version: 1.0.4
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Noriko Hosoi
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 152373 240316 FDS1.1.0
TreeView+ depends on / blocked
 
Reported: 2007-06-18 18:47 UTC by Noriko Hosoi
Modified: 2015-12-07 17:08 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-07 17:08:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
cvs diffs adminserver/configure.ac adminserver/m4/fhs.m4 (3.49 KB, patch)
2007-06-18 18:47 UTC, Noriko Hosoi
no flags Details | Diff
cvs commit message (1.49 KB, text/plain)
2007-06-19 20:51 UTC, Noriko Hosoi
no flags Details

Description Noriko Hosoi 2007-06-18 18:47:22 UTC
Description of problem:
1. Need to adjust the Admin Server's prefix to the Directory Server's including
the support for "--with-fhs-opt"
2. Default prefix (AX_PREFIX_DEFAULT) does not get PACKAGE_BASE_NAME value.

The attached change fixes the above issues.

Makefile:
prefix = /opt/fedora-ds

Comment 1 Noriko Hosoi 2007-06-18 18:47:23 UTC
Created attachment 157309 [details]
cvs diffs adminserver/configure.ac adminserver/m4/fhs.m4

Comment 2 Noriko Hosoi 2007-06-19 20:51:18 UTC
Created attachment 157416 [details]
cvs commit message

Reviewed by Nathan (Thank you!!)

Checked in into HEAD.

Comment 3 Noriko Hosoi 2007-11-29 17:36:32 UTC
$ cvs st configure
===================================================================
File: configure         Status: Up-to-date

   Working revision:    1.39
   Repository revision: 1.39    /cvs/dirsec/adminserver/configure,v
   Sticky Tag:          (none)
   Sticky Date:         (none)
   Sticky Options:      (none)

$ ./configure --help | egrep with-fhs-opt
  --with-fhs-opt   Use FHS optional layout

It is supported.


Note You need to log in before you can comment on or make changes to this bug.